#include "widget.h"
#include "ui_widget.h"
#include <QFile>
#include <QDebug>
#include <QPainter>
#include <QString>
#include <string.h>
#include <QThread>
#include <iostream>
using namespace  std;


// ____________________________________________________________ Application interface constructeur
Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);


    // l'IHM
    this->setWindowTitle("Qwt example - Attitude - 1.00\t\t");

    att = new AttitudeIndicator(ui->frameAccelero);
    att->setGeometry(0,0,ui->frameAccelero->width(), ui->frameAccelero->height());
}

//                                      Destructeur
Widget::~Widget()
{
    delete ui;
}


void Widget::on_verticalSlider_sliderMoved(int position)
{
    att->setGradient((position)/180.);
    }

void Widget::on_horizontalSlider_sliderMoved(int position)
{
    int gx = position;
    if (gx<0) gx = 360+gx;
    att->setAngle(gx);
}
